Bug 1306877 - volume reset of log levels does not return them to the default [NEEDINFO]
volume reset of log levels does not return them to the default
Status: CLOSED WONTFIX
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.6.8
All All
unspecified Severity low
: ---
: ---
Assigned To: bugs@gluster.org
: Triaged
Depends On: 1308902
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 19:18 EST by Joe Julian
Modified: 2016-08-01 00:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-01 00:42:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amukherj: needinfo? (joe)


Attachments (Terms of Use)

  None (edit)
Description Joe Julian 2016-02-11 19:18:41 EST
If you change the log level

    gluster volume set myvol diagnostics.brick-log-level DEBUG

then reset the log level

    gluster volume reset myvol diagnostics.brick-log-level

the process will continue to log at the DEBUG level instead of returning to INFO despite resetting the value in glusterd's view of the graph - removing it from gluster volume info.
Comment 1 Atin Mukherjee 2016-06-22 03:19:04 EDT
This is fixed in latest releases (3.7 & 3.8) of GlusterFS with http://review.gluster.org/#/c/11887 , given that 3.6 will be EOLed once 3.9 is out (in another 3 months) do you see a strong reason to backport it to 3.6 branch?
Comment 2 Atin Mukherjee 2016-08-01 00:42:38 EDT
This is not a security bug, not going to fix this in 3.6.x because of
http://www.gluster.org/pipermail/gluster-users/2016-July/027682.html
Comment 3 Atin Mukherjee 2016-08-01 00:43:58 EDT
If the issue persists in the latest releases, please feel free to clone them

Note You need to log in before you can comment on or make changes to this bug.